<?php
/*			/backup_sito/prote/par.php			Agosto 2015 	-	Marzo 2017  		*/

defined('RADICE') or die('<h3>404 - File not found</h3>');

/**
 * parametri di configurazione
 */
class OPAR {
	/*	database 	*/
	public $host 	   = '?host?';				/*	localhost, indirizzo ip o nome host	*/
	public $dbase 	   = '?nome database?'; 
	public $user 	   = '?nome user?';
	public $psw 	   = '?password?';
	
	/*	percorso mailer	*/
	public $pathMailer = '';
	
	/*	directory e files no zip, esclusi dalla compressione	*/
	public $no_zip = array(DIR_BAKUP);
	
	/* Nome del fle destinazione del backup		 */
	public $nomeFileBackup = 'backup_?your.domain?.zip';
	
	/*	Nome del file di lista	*/
	public $nomeListaFiles = 'ListaFiles_?your.domain?.txt';
	
	
	/*	mittente	*/
	public $from_mail = '?mail mittente?';		/*	es. webmaster@your.domain	*/
	public $from_name = 'Backup Script';
	
	/*	destinatario principale	*/
	public $mail_destinatario = '?mail destinatario?';		/*	es. webmaster@your.domain	*/
	public $nome_destinatario = 'Admin';	
	
	public function __construct(){
		$this->pathMailer = RADICE . '/'.DIR_BAKUP.'/phpMailer520/';
	}

	
	public function Showi_tables($database, $conn){
		$tables = array();
		$result = mysqli_query($conn, "SHOW TABLES");
		if($result)
			while($table = mysqli_fetch_row($result)){
			$tables[] = $table[0];
		}
		return $tables;
	}
	

	public function Connessione(){
		$conn = new mysqli($this->host, $this->user, $this->psw, $this->dbase);
		if (mysqli_connect_error()) {die('Errore Connessione db (' . mysqli_connect_errno() . ') ' . mysqli_connect_error());}
		return $conn;
	}
		
}